{
  "private": true,
  "name": "textgrid-java-clients",
  "description": "Simple Java clients for TextGerid services.",
  "repository": {
    "type": "git",
    "url": "https://gitlab.gwdg.de/dariah-de/textgridrep/textgrid-java-clients/"
  },
  "scripts": {
    "prepare": "husky install"
  },
  "devDependencies": {
    "@conveyal/maven-semantic-release": "^5.0.0",
    "@semantic-release/changelog": "^6.0.1",
    "@semantic-release/git": "^10.0.1",
    "@semantic-release/gitlab": "^7.0.4",
    "cz-conventional-changelog": "^3.0.1",
    "husky": "^7.0.4",
    "semantic-release": "^19.0.2"
  },
  "overrides": {
    "semantic-release": "^19.0.2"
  },
  "config": {
    "commitizen": {
      "path": "./node_modules/cz-conventional-changelog"
    }
  },
  "release": {
    "branches": [
      "main"
    ],
    "plugins": [
      "@semantic-release/commit-analyzer",
      "@semantic-release/release-notes-generator",
      [
        "@semantic-release/changelog",
        {
          "changelogFile": "CHANGELOG.md"
        }
      ],
      "@conveyal/maven-semantic-release",
      [
        "@semantic-release/gitlab",
        {
          "gitlabUrl": "https://gitlab.gwdg.de",
          "assets": [
            {
              "path": "CHANGELOG.md",
              "label": "Changelog"
            }
          ]
        }
      ],
      [
        "@semantic-release/git",
        {
          "assets": [
            "CHANGELOG.md"
          ]
        }
      ]
    ]
  },
  "dependencies": {
    "commitizen": "^4.2.4"
  }
}
